Skywriter HAT + RASPBIAN STRETCH

Im interested in buying Skywriter Hat, but I don’t know if its supported on recent Raspbian releases.

Yes, it absolutely is! We aim to keep all of our boards up-to-date and working with the latest Raspbian version/s. :-)